export interface InspectionRulesVO {
  /**
   * 规则名称
   */
  ruleName: string;

  /**
   * 规则类型
   */
  ruleType: string;

  /**
   * 检验方式
   */
  ruleMode: string;

  /**
   * 状态
   */
  status: string;

  /**
   * 备注
   */
  remark: string;

}

export interface InspectionRulesForm extends BaseEntity {
  /**
   * 检验规则主键
   */
  ruleId?: string | number;

  /**
   * 规则名称
   */
  ruleName?: string;

  /**
   * 规则类型
   */
  ruleType?: string;

  /**
   * 检验方式
   */
  ruleMode?: string;

  /**
   * 状态
   */
  status?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface InspectionRulesQuery extends PageQuery {

  /**
   * 规则名称
   */
  ruleName?: string;

  /**
   * 规则类型
   */
  ruleType?: string;

  /**
   * 检验方式
   */
  ruleMode?: string;

  /**
   * 状态
   */
  status?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



