export interface ProdBaseProcessUserVO {
  /**
   * 工序ID
   */
  processId: string | number;

  /**
   * 用户ID
   */
  userId: string | number;

  /**
   * 租户编号
   */
  tenantId: string | number;

  /**
   * 用户名称
   */
  userName: string;

  /**
   * 创建人
   */
  createBy: string;

  /**
   * 创建时间
   */
  createTime: string;

}

export interface ProdBaseProcessUserForm extends BaseEntity {
  /**
   * 工序ID
   */
  processId?: string | number;

  /**
   * 用户ID
   */
  userId?: string | number;

  /**
   * 用户名称
   */
  userName?: string;

  users?: string[];


}

export interface ProdBaseProcessUserQuery extends PageQuery {

  /**
   * 工序ID
   */
  processId?: string | number;

  /**
   * 用户ID
   */
  userId?: string | number;

  /**
   * 用户名称
   */
  userName?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



